Skip to main content
POST
/
api
/
v1
/
google
/
drive
/
import
Import Drive File
curl --request POST \
  --url https://api.example.com/api/v1/google/drive/import \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "file_id": "<string>",
  "target_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "google_context_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
file_id
string
required
target_context
enum<string>
required
Available options:
task,
brand-kit,
space
target_id
string<uuid>
required
google_context
enum<string>
required
Available options:
user,
team,
workspace,
pa
google_context_id
string<uuid>
required

Response

Successful Response